apiVersion: batch/v1
kind: CronJob
metadata:
  name: backup-pki
spec:
  schedule: "@hourly"
  concurrencyPolicy: Forbid
  jobTemplate:
    spec:
      template:
        spec:
          restartPolicy: OnFailure
          affinity:
            nodeAffinity:
              requiredDuringSchedulingIgnoredDuringExecution:
                nodeSelectorTerms:
                  - matchExpressions:
                      - key: node-role.kubernetes.io/control-plane
                        operator: Exists
          containers:
            - name: load
              image: docker.io/minio/mc:RELEASE.2025-02-21T16-00-46Z@sha256:f7089203eca4c8e538d5e5c69303f568735366640e62917e05a98ce615a1edd9
              command:
                - bash
                - /scripts/load.sh
              envFrom:
                - secretRef:
                    name: pki-backup-bucket
                - configMapRef:
                    name: pki-backup-bucket
              volumeMounts:
                - name: scripts
                  mountPath: /scripts/
                - name: data
                  mountPath: /data/
              resources:
                limits:
                  cpu: 100m
                  memory: 200Mi
                requests:
                  cpu: 100m
                  memory: 200Mi
          volumes:
            - name: scripts
              configMap:
                name: backup-pki-scripts
            - name: data
              hostPath:
                path: /etc/kubernetes/pki
                type: Directory
